/* CSS Document */

/* コードブロック全体 */
div.code-block {
	position:relative;
	display:block;
	background-color: #e1e1e1;
	border-left:8px solid #33aabb;
	padding: 70px 10px 10px 0px;
	margin: 0px 0px 20px 0px;
}




div.code-block::before{
	content: attr(data-title);
	width: calc(100%-150px);
	padding:5px;
	background: rgba(255,255,255,0.2);
	color: #3c7896;
	font-size: 18px;
	font-weight:bold!important;
	border-radius: 0px;
	position: absolute;
	top: 20px;
	left: 20px;
	z-index: 40;
}


/* コピーボタン */
div.copy-btn {
	position:absolute;
	top:10px;
	right:10px;
	background: #FFFFFF;
	border: 1px solid #0f7dff;
	padding: 4px 10px;
	font-size: 12px;
	color:#0f7dff;
	cursor: pointer;
	border-radius: 4px;

	display: inline-block !important;
	opacity: 1 !important;
	z-index: 41;

    transition: 0.5s;
}

.copy-btn:hover {
	color:#ff66bb;
	border: 1px solid #ff66bb;
	background-color:#ffffcc;
}


/* コード本体 */
pre.code {
	position:relative;
	width: calc(100%-150px);
	display:block;
	overflow:hidden;
	padding-left:10px;/* 左に余白（行番号用） */
	font-family: Consolas, monospace;
	line-height: 1.0;
}

/* 行番号 */
pre.code::before {
	position:absolute;
	display:block;
	top:0px;
	left:10px;/* leftは行番号の幅 */

	width:35px;
	height:100%;
	counter-reset: line;
	content: " ";
	color: #1e5064;
	border-right: 1px solid #78b4c8;
	background-color:rgba(0,225,210,0.2);
}

pre.code code {
    counter-reset: line;
    display: block;
}

pre.code code span.line {
	counter-increment: line;
	display: block;
	padding: 5px 8px 5px 45px;
}

/* 偶数行の背景色を変更 */
.code code span.line:nth-child(odd) {
    background: #FFFFFF; /* 薄い黄色の少し濃いバージョン */
}

/* 偶数行の背景色を変更 */
.code code span.line:nth-child(even) {
    background: #f0f0f0; /* 薄い黄色の少し濃いバージョン */
}

.code code span.line::before {
    content: counter(line);
    display: inline-block;
    width: 24px;
    margin-left: -32px;
    color: #3c7896;
    text-align: right;
    padding-right: 8px;
}

/* CSSのプロパティ */
.property {
    color: #1e5064; /* 太陽さんのテーマカラーに合わせたオレンジ */
    font-weight: bold;
}
/* セレクタ */
.selector-class { color: #ff7b3e; font-weight: bold; } /* .class */
.selector-id { color: #ff5722; font-weight: bold; }    /* #id */
.selector-tag { color: #c66b00; }                      /* html, body, div */
.selector-at { color: #ff7b3e; font-weight: bold; }    /* @media */

/* 値（単位） */
.value-unit { color: #0077aa; } /* px, %, em, rem */

/* 値（キーワード） */
.value-keyword { color: #008844; font-weight: bold; } /* ease, flex, block */

/* 色 */
.value-color { color: #b30059; font-weight: bold; } /* #fff, rgba() */

/* キーワード */
.keyword { color: #005cc5; }

/* 文字列 */
.string { color: #d73a49; }

/* コメント */
.comment { color: #6a9955; font-style: italic; }